Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.yaml.snakeyaml.scanner
Class ScannerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.yaml.snakeyaml.error.YAMLException
                      org.yaml.snakeyaml.error.MarkedYAMLException
                          org.yaml.snakeyaml.scanner.ScannerException

All Implemented Interfaces:
  Serializable

    public class ScannerException

extends MarkedYAMLException

Exception thrown by the `Scanner` implementations in case of malformed input.

See Also:
  Serialized Form

Constructor Summary
`ScannerException(String context, Mark contextMark, String problem, Mark problemMark)` Constructs an instance.
`ScannerException(String context, Mark contextMark, String problem, Mark problemMark, String note)` Constructs an instance.

Method Summary

Methods inherited from class org.yaml.snakeyaml.error.MarkedYAMLException
`getContext, getContextMark, getProblem, getProblemMark, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScannerException

    public ScannerException(String context,
                            Mark contextMark,
                            String problem,
                            Mark problemMark,
                            String note)

  Constructs an instance.

  Parameters:
    `context` - Part of the input document in which vicinity the problem occurred.
    `contextMark` - Position of the `context` within the document.
    `problem` - Part of the input document that caused the problem.
    `problemMark` - Position of the `problem` within the document.
    `note` - Message for the user with further information about the problem.

### ScannerException

    public ScannerException(String context,
                            Mark contextMark,
                            String problem,
                            Mark problemMark)

  Constructs an instance.

  Parameters:
    `context` - Part of the input document in which vicinity the problem occurred.
    `contextMark` - Position of the `context` within the document.
    `problem` - Part of the input document that caused the problem.
    `problemMark` - Position of the `problem` within the document.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011. All Rights Reserved.